# Odnalezienie największego pliku źródłowego Pythona w jednym katalogu

import os, glob
dirname = '/Users/me/Downloads'    # Zmień ścieżkę (albo użyj input() lub sys.argv)

allsizes = []
allpy = glob.glob(dirname + os.sep + '*.py')
for filename in allpy:
    filesize = os.path.getsize(filename)
    allsizes.append((filesize, filename))

allsizes.sort()
print(allsizes[:2])
print(allsizes[-2:])

